#include "globalvar.h"
#include "gev_camera.hpp"
#include <Eigen/Core>
#include <QString>
#include <QTimer>
#include <QThread>
#include "src.h"

// ALL THE GLOBAL DEFINITIONS
GEVCamera cameraFx10("70:f8:e7:b0:01:6d");
GEVCamera cameraFx17("70:f8:e7:b0:01:33");
int stopFx17=0;
int darkFx17=0;
int blancFx17=0;


int stopFx10=0;
int darkFx10=0;
 int blancFx10=0;

float NBLANC10=100;
 float NDARK=100;
 int  cptdark=0;
 int  cptblanc=0;

 float NBLANC17=100;
 float NDARK17=100;
 int  cptdark17=0;
 int  cptblanc17=0;

 int cvcol10=448;
 int cvrow10=1024;

 int cvcol17=224;
 int cvrow17=640;

 int  record=0;

int  debut_record=0;
int count=0;
//Eigen::Matrix<unsigned short,Eigen::Dynamic,Eigen::Dynamic> STOCKAGE= Eigen::Matrix<unsigned short,Eigen::Dynamic,Eigen::Dynamic>::Zero(2000,cvrow10);
Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> STOCKAGE= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(2000,cvrow10);
Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> STOCKAGE17= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(2000,cvrow17);
Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec10_512= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(1,cvcol10);
Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec17_320= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(1,cvcol17);

int countmilieu10=0;
int countmilieu17=0;

 QTimer *t;
QThread *th= new QThread;
CaptureHandler handler(cv::VideoCapture* cap);

 FILE*  foutddb;
 FILE*  foutddb17;

cv::Mat* original = new cv::Mat;

cv::Mat accu= cv::Mat::zeros(448,1024, CV_32FC1);
cv::Mat accu17= cv::Mat::zeros(224,640, CV_32FC1);

using namespace Eigen;
using C3Stride = Stride<Dynamic, Dynamic>;
C3Stride c3Strided(cvcol10,1);
C3Stride c3Strided2(cvrow10,1);
 C3Stride c3Strided17(cvcol17,1);
  C3Stride c3Strided217(cvrow17,1);

using MatrixXfRowMajor  = Matrix<float, Dynamic, Dynamic, RowMajor>;
using cvMapf = Map<MatrixXfRowMajor, Unaligned, C3Stride>;
cvMapf mapaccu(reinterpret_cast<float *>(accu.data),cvcol10,cvrow10,c3Strided2);
cvMapf mapaccu17(reinterpret_cast<float *>(accu17.data),cvcol17,cvrow17,c3Strided217);

Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec10_512tmprawtapis= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(1,cvcol10);
Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> util10= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(1,cvcol10);

Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec17_320tmprawtapis= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(1,cvcol17);
Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> util17= Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic>::Zero(1,cvcol17);

