#ifndef GLOBALVAR_H
#define GLOBALVAR_H
#include "gev_camera.hpp"
#include<QString>
#include <Eigen/Core>
#include <QTimer>
#include <QThread>
#include "src.h"


extern GEVCamera cameraFx10;
extern GEVCamera cameraFx17;
extern int stopFx17;
extern int darkFx17;
extern int blancFx17;

extern int stopFx10;
extern int darkFx10;
extern int blancFx10;

extern float NBLANC10;
extern float NDARK;
extern int  cptdark;
extern int  cptblanc;

extern float NBLANC17;
extern float NDARK17;
extern int  cptdark17;
extern int  cptblanc17;

extern int cvcol10;
extern int cvrow10;

extern int cvcol17;
extern int cvrow17;

extern int  record;

extern int  debut_record;

//extern QString filename10;
//extern QString filename17;

extern FILE*  foutapp10;
extern FILE*  foutapp17;
extern FILE*  foutddb;
extern FILE*  foutddb17;

//extern int count;

//extern Eigen::Matrix<unsigned short,Eigen::Dynamic,Eigen::Dynamic> STOCKAGE;
extern Eigen::Matrix<float ,Eigen::Dynamic,Eigen::Dynamic> STOCKAGE;
extern Eigen::Matrix<float ,Eigen::Dynamic,Eigen::Dynamic> STOCKAGE17;
extern Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec10_512;
extern Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec17_320;

extern int countmilieu10;
extern int countmilieu17;

extern QTimer *t;
extern QThread *th;
// CaptureHandler  handler= new  CaptureHandler(); // handler(&cap);
extern CaptureHandler handler(cv::VideoCapture* cap);

extern  cv::Mat* original;

extern cv::Mat accu;//= cv::Mat::zeros(448,1024, CV_32FC1);
extern cv::Mat accu17;//= cv::Mat::zeros(224,640, CV_32FC1);

extern Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec10_512tmprawtapis;
extern Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> util10;

extern Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> vec17_320tmprawtapis;
extern Eigen::Matrix<float,Eigen::Dynamic,Eigen::Dynamic> util17;
#endif // GLOBALVAR_H
