#-------------------------------------------------
#
# Project created by QtCreator 2018-08-12T12:33:05
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

TARGET = Fx22
TEMPLATE = app
win64{
}
else{
QMAKE_CXXFLAGS += -std=c++11
}
# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

# add open CV
CONFIG += link_pkgconfig
unix{
#PKGCONFIG += opencv
PKGCONFIG += opencv4
}

unix{
INCLUDEPATH +="/usr/local/include/eigen3"
# nouveau
INCLUDEPATH +="/usr/local/lib64/"
}


win64{
INCLUDEPATH +=C:\lib\Install\opencv\include
INCLUDEPATH +=C:\lib\Eigen\
INCLUDEPATH +=C:\\lib\\Eigen\\src\\Core
INCLUDEPATH +=C:/lib/Eigen/src/Core
INCLUDEPATH +=C:/lib/Eigen/src
LIBS +=  C:\opencv\build\x64\vc15\lib\opencv_world343.lib
}

# qdslider.cpp \

SOURCES += \
        main.cpp \
        mainwindow.cpp \
    qcustomplot.cpp \
    gev_camera.cpp \
    globalvar.cpp \
    src.cpp


 #qdslider.h \
HEADERS += \
        mainwindow.h \
    src.h \
    ui_mainwindow.h \
    qcustomplot.h \
    gev_camera.hpp \
    globalvar.h

FORMS += \
        mainwindow.ui



win64{
INCLUDEPATH += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Includes"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PtUtilsLib.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvBuffer.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvGenICam.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvSerial.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvTransmitter.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\EbUtilsLib.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvAppUtils.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvStream.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvVirtualDevice.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PtConvertersLib.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvBase.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvDevice.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvPersistence.lib"
#LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\PvSystem.lib"
LIBS += "C:\Program Files (x86)\Pleora Technologies Inc\eBUS SDK\Libraries\SimpleImagingLib.lib"
}


unix{

INCLUDEPATH += "/opt/pleora/ebus_sdk/CentOS-RHEL-7-x86_64/include"
LIBS += -L/opt/pleora/ebus_sdk/CentOS-RHEL-7-x86_64/lib/ \
-lEbTransportLayerLib \
-lPtUtilsLib \
-lPvBuffer \
-lPvGenICam   \
-lPvSerial \
-lPvTransmitter \
-lEbUtilsLib  \
-lPvAppUtils\
-lPvCameraBridge \
#-lPvGUI       \
-lPvStream\
-lPvVirtualDevice \
-lPtConvertersLib \
-lPvBase   \
-lPvDevice  \
-lPvPersistence \
-lPvSystem  \
-lSimpleImagingLib

LIBS += -L/usr/local/lib64/ \
-lopencv_video \
-lopencv_videoio \
-lopencv_core \
-lopencv_imgproc
}

RESOURCES += \
    logos.qrc

DISTFILES += \
    logos_icones6464.png
